﻿using System.Collections.Generic;

namespace InternshipSystem.Core.Entity
{
    public class Course
    {
        public long Id { get; set; }
        public string Name { get; set; }
        public string NameEng { get; set; }

        public static Course CreateCourse(string name, string nameEng) =>
            new Course
            {
                Name = name,
                NameEng = nameEng,
            };

        public void UpdateCourse(string name, string nameEng)
        {
            Name = name;
            NameEng = nameEng;
        }
    }
}