﻿using InternshipSystem.Core.ValueObject;

namespace InternshipSystem.Core
{
    public class Document
    {
        public long Id { get; set; }
        public string Description { get; set; }
        public DocumentScan Scan { get; set; }
        public DocumentType Type { get; set; }
        public DocumentState State { get; set; }
        public string ChangeStateComment { get; set; }
    }

    public class DocumentScan
    {
        public long DocumentId { get; set; }
        public Document Document { get; set; }
        public long Size { get; set; }
        public string Filename { get; set; }
        public string Mime { get; set; }
        public byte[] File { get; set; }
    }
}