﻿using System.Collections.Generic;
using System.Linq;
using FluentValidation.Results;
using InternshipSystem.Core.Entity.Internship;

namespace InternshipSystem.Core
{
    static internal class Extensions
    {
        public static IEnumerable<ErrorDescription> ToErrorDescription(this ValidationResult result)
        {
            return result.Errors.Select(failure => new ErrorDescription { Key = failure.ErrorCode, Parameters = failure.FormattedMessagePlaceholderValues });
        }
    }
}