﻿using System;

namespace InternshipSystem.Core
{
    public class Report
    {
        public long Id { get; set; }
        public DocumentState State { get; set; }
        public string Value { get; set; }

        public static Report Create()
        {
            return new Report();
        }

        public void UpdateReport(string reportValue)
        {
            Value = reportValue;
            State = DocumentState.Submitted;
        }
    }
}