﻿using System.Collections.Generic;

namespace InternshipSystem.Core
{
    public class Student
    {
        public long Id { get; set; }
        public int AlbumNumber { get; set; }
        public string FirstName { get; set; }
        public string LastName { get; set; }
        public string Email { get; set; }
        public string Course { get; set; }
        public int? Semester { get; set; }

        public static Student CreateStudent(long id, string firstName, string lastName, string email, in int albumNumber)
        {
            return new Student
            {
                Id = id,
                AlbumNumber = albumNumber,
                FirstName = firstName,
                LastName = lastName,
                Email = email
            };
        }
    }
}