﻿using FluentValidation;
using InternshipSystem.Core.ValueObject;
using Microsoft.AspNetCore.Http;

namespace InternshipSystem.Api.Queries
{
    public class DocumentPublishRequest
    {
        public string Description { get; set; }
        public DocumentType Type { get; set; }
        
        public class Validator : AbstractValidator<DocumentPublishRequest>
        {
        }
    }
}