﻿using System;
using System.Collections.Generic;
using InternshipSystem.Core;
using InternshipSystem.Core.Entity;
using InternshipSystem.Core.Entity.Internship;
using InternshipSystem.Core.UglyOrmArtifacts;

namespace InternshipSystem.Api.Result
{
    public class EditionConfigurationResult
    {
        public List<InternshipSubject> AvailableSubjects { get; set; }
        public List<ReportField> ReportSchema { get; set; }
        public Course Course { get; set; }
        public DateTime EditionStart { get; set; }
        public DateTime EditionFinish { get; set; }
        public DateTime ReportingStart { get; set; }
    }
}