﻿using System;
using System.Collections.Generic;
using InternshipSystem.Core;
using InternshipSystem.Core.Entity;
using InternshipSystem.Core.Entity.Internship;

namespace InternshipSystem.Api.Result
{
    public class EditionDetailsResult
    {
        public Guid Id { get; set; }
        public DateTime EditionStart { get; set; }
        public DateTime EditionFinish { get; set; }
        public DateTime ReportingStart { get; set; }
        public Course Course { get; set; }
        public List<InternshipSubject> AvailableSubjects { get; set; }
        public List<InternshipType> AvailableInternshipTypes { get; set; }
        public List<ReportField> ReportSchema { get; set; }
    }
}